---
updatedAt: 2026-04-28T09:31:16.000Z
agentTools:
  projectIndex: https://docs.makaira.io/llms.txt
---

# Get all personas

Returns all personas configured for the current instance. Personas are used to personalize search results for different customer segments.

Requires authentication.

## Request

**`GET /personas`**

### Headers

| Header          | Value            |
| --------------- | ---------------- |
| `Authorization` | `Bearer <token>` |

## Response

Returns a JSON array of persona objects.

### Response Body

| Field         | Type    | Description                                                           |
| ------------- | ------- | --------------------------------------------------------------------- |
| `id`          | integer | Unique persona ID.                                                    |
| `name`        | object  | Multilingual display name. Keys are language codes (e.g. `en`, `de`). |
| `description` | object  | Multilingual description. Keys are language codes.                    |
| `identifier`  | string  | Unique machine-readable identifier for this persona.                  |
| `updatedBy`   | string  | Email or name of the user who last updated this persona.              |

### Example Response

```json
[
  {
    "id": 1,
    "name": {
      "en": "High-Value Customers",
      "de": "Hochwertige Kunden"
    },
    "description": {
      "en": "Customers with a high average order value",
      "de": "Kunden mit hohem durchschnittlichem Bestellwert"
    },
    "identifier": "high-value",
    "updatedBy": "admin@example.com"
  }
]
```

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Makaira API",
    "version": "1.0",
    "contact": {
      "name": "Makaira GmbH",
      "url": "https://www.makaira.io/",
      "email": "support@makaira.io"
    },
    "description": "API of the powerful Makaira Search/Recommendation and Marketing Suite"
  },
  "servers": [
    {
      "url": "https://{yourinstance}.makaira.io"
    }
  ],
  "paths": {
    "/personas": {
      "get": {
        "summary": "Get all personas",
        "tags": [
          "Personas"
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/PersonaResponse"
                  }
                }
              }
            }
          }
        },
        "operationId": "get_personas"
      }
    }
  },
  "components": {
    "schemas": {
      "PersonaResponse": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer"
          },
          "name": {
            "type": "object",
            "properties": {
              "en": {
                "type": "string"
              },
              "de": {
                "type": "string"
              }
            }
          },
          "description": {
            "type": "object",
            "properties": {
              "en": {
                "type": "string"
              },
              "de": {
                "type": "string"
              }
            }
          },
          "identifier": {
            "type": "string"
          },
          "updatedBy": {
            "type": "string"
          }
        }
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Authentication by JSON Web Token\n"
      }
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```